import { Property, Required, MaxLength, Enum } from "@tsed/schema";

export class CreateLinkDto {
  @Property()
  @Required()
  @MaxLength(100)
  @Enum("github")
  service: string;

  @Property()
  @Required()
  @MaxLength(100)
  serviceIdentifier: string;
}
